As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 526756 - Check .mv entry in Public Suffix List
: Check .mv entry in Public Suffix List
Status: RESOLVED FIXED
: fixed1.9.0.18
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-05 06:22 PST by Gervase Markham [:gerv]
Modified: 2009-12-21 14:13 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final-fixed
.8-fixed


Attachments
Patch v.1 (649 bytes, patch)
2009-11-12 07:13 PST, Gervase Markham [:gerv]
pkasting: review+
mbeltzner: approval1.9.2+
dveditz: approval1.9.1.8+
dveditz: approval1.9.0.18+
Details | Diff | Splinter Review

Description User image Gervase Markham [:gerv] 2009-11-05 06:22:44 PST
I received the following email:

Hi *,

the current version of http://mxr.mozilla.org/mozilla-central/source/netwerk/dns/src/effective_tld_names.dat?raw=1 contains:

// mv : http://en.wikipedia.org/wiki/.mv
*.mv

Google was able to register google.mv so I'm not sure if *.mv is still appropriate.


Gerv
Comment 1 User image Gervase Markham [:gerv] 2009-11-09 08:18:05 PST
The registrar's website (they are also the telco and ISP for the Maldives) is profoundly uninformative on the subject of registrations. 

Let's switch to "mv", and then the list of subdomains on the wiki page.

Gerv
Comment 2 User image Gervase Markham [:gerv] 2009-11-12 07:13:18 PST
Created attachment 411963 [details] [diff] [review]
Patch v.1
Comment 3 User image Peter Kasting 2009-11-12 09:59:05 PST
Comment on attachment 411963 [details] [diff] [review]
Patch v.1

I don't see the .mv Wikipedia page as clearly stating that direct second-level registrations are unavailable.  Perhaps we should just omit the comment about that?
Comment 4 User image Gervase Markham [:gerv] 2009-11-13 08:19:20 PST
In the info box on the right it says:

"Structure      Used with subdomains .com.mv, .net.mv, .gov.mv & such"

But I can leave it out if you like.

Gerv
Comment 5 User image Peter Kasting 2009-11-13 11:26:32 PST
Ah, I didn't notice that.  I've just edited the wiki page to reflect reality.  Hopefully now the comment is unnecessary :)
Comment 6 User image Gervase Markham [:gerv] 2009-11-26 04:26:15 PST
Comment on attachment 411963 [details] [diff] [review]
Patch v.1

Requesting 1.9.2 approval. Part of general public suffix list maintenance. (After this, I'd expect to get approval for 1.9.1 and 1.9.0 also.)

Gerv
Comment 7 User image Mike Beltzner [:beltzner, not reading bugmail] 2009-12-02 05:11:19 PST
Comment on attachment 411963 [details] [diff] [review]
Patch v.1

a192=beltzner
Comment 8 User image Gervase Markham [:gerv] 2009-12-11 16:48:23 PST
1.9.2: http://hg.mozilla.org/releases/mozilla-1.9.2/rev/101b2f5eef9a

Gerv
Comment 9 User image Reed Loden [:reed] (use needinfo?) 2009-12-11 17:05:23 PST
Shouldn't this have landed on trunk first?
Comment 10 User image Gervase Markham [:gerv] 2009-12-11 17:52:46 PST
Trunk: http://hg.mozilla.org/mozilla-central/rev/6f8adb69702d

Gerv
Comment 11 User image Daniel Veditz [:dveditz] 2009-12-14 14:30:47 PST
Comment on attachment 411963 [details] [diff] [review]
Patch v.1

Approved for 1.9.1.7 and 1.9.0.17, a=dveditz for release-drivers
Comment 12 User image Gervase Markham [:gerv] 2009-12-21 14:13:04 PST
Fixed on 1.9.1 branch:
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/10d75e0578a6

and 1.9.0 branch:
Checking in netwerk/dns/src/effective_tld_names.dat;
/cvsroot/mozilla/netwerk/dns/src/effective_tld_names.dat,v  <--  effective_tld_names.dat
new revision: 1.14; previous revision: 1.13
done

Gerv

Note You need to log in before you can comment on or make changes to this bug.